ata_dev_same_device
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_same_device — Determine whether new ID matches configured device

## Synopsis

`int ata_dev_same_device (` | struct ata_device * | dev,
| unsigned int | new_class,
| const u16 * | new_id`)`;

## Arguments

`dev`

  device to compare against

`new_class`

  class of the new device

`new_id`

  IDENTIFY page of the new device

## Description

Compare `new_class` and `new_id` against `dev` and determine whether `dev` is the device indicated by `new_class` and `new_id`.

## LOCKING

None.

## RETURNS

1 if `dev` matches `new_class` and `new_id`, 0 otherwise.

Prev | Up | Next
ata_tf_to_host | Home | ata_dev_reread_id